Bug 988610 - [abrt] evolution-data-server-3.8.4-1.fc19: g_malloc: Process /usr/libexec/evolution-calendar-factory was killed by signal 5 (SIGTRAP)
[abrt] evolution-data-server-3.8.4-1.fc19: g_malloc: Process /usr/libexec/evo...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:543616938dec61d4677f73ae83c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 20:02 EDT by PJ Waskiewicz
Modified: 2013-07-27 19:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 13:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.64 KB, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: core_backtrace (2.30 KB, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: dso_list (16.84 KB, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: environ (1000 bytes, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: maps (113.39 KB, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: open_fds (1.26 KB, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-07-25 20:02 EDT, PJ Waskiewicz
no flags Details
File: var_log_messages (454 bytes, text/plain)
2013-07-25 20:03 EDT, PJ Waskiewicz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 704914 None None None Never
GNOME Bugzilla 704943 None None None Never

  None (edit)
Description PJ Waskiewicz 2013-07-25 20:02:33 EDT
Description of problem:
I opened another EWS user's Calendar to view it (verified I have access via Outlook in a Win7 VM).  When I removed it from my Calendar view (Right-click, select Delete), the calendar-factory backend crashed.

Version-Release number of selected component:
evolution-data-server-3.8.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: g_malloc
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc at gmem.c:164
 #3 g_strndup at gstrfuncs.c:428
 #4 e_ews_dump_file_attachment_from_soap_parameter at e-ews-item.c:1567
 #5 ews_handle_attachments_param at e-ews-connection.c:5913
 #6 get_attachments_response_cb at e-ews-connection.c:5959
 #7 ews_response_cb at e-ews-connection.c:584
 #8 soup_session_process_queue_item at soup-session.c:1858
 #9 async_run_queue at soup-session.c:1896
 #10 idle_run_queue at soup-session.c:1930
 #15 e_ews_soup_thread at e-ews-connection.c:1454
Comment 1 PJ Waskiewicz 2013-07-25 20:02:37 EDT
Created attachment 778576 [details]
File: backtrace
Comment 2 PJ Waskiewicz 2013-07-25 20:02:39 EDT
Created attachment 778577 [details]
File: cgroup
Comment 3 PJ Waskiewicz 2013-07-25 20:02:42 EDT
Created attachment 778578 [details]
File: core_backtrace
Comment 4 PJ Waskiewicz 2013-07-25 20:02:46 EDT
Created attachment 778579 [details]
File: dso_list
Comment 5 PJ Waskiewicz 2013-07-25 20:02:48 EDT
Created attachment 778580 [details]
File: environ
Comment 6 PJ Waskiewicz 2013-07-25 20:02:51 EDT
Created attachment 778581 [details]
File: limits
Comment 7 PJ Waskiewicz 2013-07-25 20:02:53 EDT
Created attachment 778582 [details]
File: maps
Comment 8 PJ Waskiewicz 2013-07-25 20:02:56 EDT
Created attachment 778583 [details]
File: open_fds
Comment 9 PJ Waskiewicz 2013-07-25 20:02:59 EDT
Created attachment 778584 [details]
File: proc_pid_status
Comment 10 PJ Waskiewicz 2013-07-25 20:03:02 EDT
Created attachment 778585 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-07-26 13:06:26 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=704943

Note You need to log in before you can comment on or make changes to this bug.